using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;


namespace Teradyne.Igxl.PSetSignalsEditor
{
    /// <summary>
    /// This class contains global utilities that will be used
    /// throughout the project.
    /// </summary>
    public  class GlobalUtils
    {
        public enum NspcpType
        {
            pset = 0,
            signal = 1,
        }

        public enum DATA_SOURCE
        {
            DRIVER = 0,
            SHEET = 1,
        }

        public const string DMGR_SHEET_TYPE_PSETSSHEET = "PsetsSheet";
        public const string DMGR_SHEET_TYPE_WAVEDEFINITIONSHEET = "WaveDefinitionSheet";
        public const string DMGR_SHEET_TYPE_SIGNALSSHEET = "SignalsSheet";
        public const string REG_KEY_PSET = "PSets";
        public const string REG_KEY_SIGNAL = "Signals";
        public const string KEYSET_NAME = "PSetEditorCollection";
        public const string MASTER_SITE = "Master";
        public const string UPDATE_TESTER = "Update Tester";
        public const string UPDATE_TESTER_DIRTY = "Update Tester*";
        public const string UPDATE_SHEET = "Update Sheet";
        public const string UPDATE_SHEET_DIRTY = "Update Sheet*";
        public const string WAVEDEF_PARAM_NAME = "Wave Def or Data";
        public const string MESSAGEBOX_CAPTION = "PSet/Signals Editor";
        public static Color CELL_CHANGE_COLOR = Color.Blue;
        public static Color CELL_STANDARD_COLOR = Color.Black;
        public static Color CELL_DIFF_COLOR = Color.Magenta;
        public const string EMPTY_VALUE = "";
        public const int ERR_VALUE = -1;
        public const int FIRST_ELEMENT = 0;
        public const string DMGR_SHEET_TYPE_JOBLISTSHEET = "JobListSheet";        
    }
}
